Subject: bug#32723: [PATCH] Fix erc-autojoin for same channel names on multiple servers

From: Corwin Brust <[email-masked]>
Date: Tue, 19 May 2020 15:32:19 -0500

FWIW, and please forgive the top-posted reply:

This seems related to this bug I opened fairly recently:

  https://debbugs.gnu.org/cgi/bugreport.cgi?bug=40121#5

I'm not sure but I think this started happening for me after I pulled
in a new ERC from master to my ~/site-lisp, which was not too long
before I made the switch to Emacs 27 PR 1.  (I wanted Amin's patch to
make nicks highlight even when followed by a punctuation character.)

In any case this behavior has been consistent across all versions of
Emacs 27 I've used and started before I'd actually upgraded from Emacs
26.3, if I'm not mistaken.

Regards,
Corwin

On Tue, May 19, 2020 at 1:41 PM Kevin Brubeck Unhammer
<[email-masked]> wrote:
>
> Martin Kletzander <[email-masked]> čálii:
>
> > Only after that I realised it has a name
> > of the channel, but on the second server, so I deleted that part of the e-mail!
> >
> > I think there is something wrong with some other part of erc-join (or erc), so
> > for a while I'm sticking to 26.*
>
> I also noticed this with Emacs 27 after writing you. ERC shows things
> like #emacs@BitlBee (should be @freenode). I haven't been able to find
> out what causes it (doesn't happen every time I connect to two servers,
> only when I don't have time to investigate). Will report back if I
> figure it out.

-- 
Corwin
[email-masked]